package com.fufan.mtsaas.modules.base.intflog.service.impl;

import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.base.intflog.dao.TIntfLogDao;
import com.fufan.mtsaas.modules.base.intflog.model.TIntfLog;
import com.fufan.mtsaas.modules.base.intflog.service.TIntfLogService;
import org.springframework.context.annotation.Primary;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * (TIntfLog)表服务实现类
 *
 * @author Liby
 * @since 2023-02-03 11:08:39
 */
@Service("tIntfLogService")
@Primary
public class TIntfLogServiceImpl implements TIntfLogService {
    @Resource
    private TIntfLogDao tIntfLogDao;

    /**
     * 通过ID查询单条数据
     *
     * @param logId 主键
     * @return 实例对象
     */
    @Override
    public TIntfLog queryById(Long logId) {
        return this.tIntfLogDao.queryById(logId);
    }

    /**
     * 分页查询
     *
     * @param tIntfLog 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public Page<TIntfLog> queryByPage(TIntfLog tIntfLog, PageRequest pageRequest) {
        long total = this.tIntfLogDao.count(tIntfLog);
//        return new Page(this.tIntfLogDao.queryAllByLimit(tIntfLog), pageRequest, total);
        return new Page();
    }


    /**
     * 新增数据
     *
     * @param tIntfLog 实例对象
     * @return 实例对象
     */
    @Override
    public TIntfLog insert(TIntfLog tIntfLog) {
        this.tIntfLogDao.insert(tIntfLog);
        return tIntfLog;
    }

    /**
     * 修改数据
     *
     * @param tIntfLog 实例对象
     * @return 实例对象
     */
    @Override
    public TIntfLog update(TIntfLog tIntfLog) {
        this.tIntfLogDao.update(tIntfLog);
        return this.queryById(tIntfLog.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param logId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long logId) {
        return this.tIntfLogDao.deleteById(logId) > 0;
    }
}
